pdf: uebersicht-table
	pdflatex -interaction errorstopmode -halt-on-error main.tex # Generate table of contents (ToC)
	bibtex main.aux
	pdflatex -interaction errorstopmode -halt-on-error main.tex # Generate ToC page indices taking account the new ToC file
	pdflatex -interaction errorstopmode -halt-on-error main.tex # Generate PDF with new ToC
	rm -f kapitel/*.aux *.aux *.bbl *.blg *.lof *.log *.lot *.toc *.tps *.out *.fdb_latexmk *.fls # Remove cache files

uebersicht-table:
	echo "Rendering the studienübersicht requires node.js and the node package 'pageres-cli':"
	echo "   sudo apt-get install nodejs"
	echo "   npm install -g pageres-cli"
	pageres file:///"`pwd`/studienuebersicht/table.html" 1300x700 --filename="images/studienuebersicht" --overwrite

